Subject: bug#57059: [BUG] pcc build failure

From: "(" <[email-masked]>
Date: Mon, 08 Aug 2022 17:00:24 +0100

The build for the `pcc` compiler is broken on my machine (x86-64):

```log
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/vdhsdhk6cgsw3vajwfkq6jwr1w2lpbx3-bison-3.7.6/bin:/gnu/store/b4mskl4py1zqmxdy1v260r3h6x5p92fm-flex-2.6.4/bin:/gnu/store/g2ajyl8xk9aarxrgjbng2hkj3qm2v0z2-tar-1.34/bin:/gnu/store/iixwcv3k49ks1rf34pjgfzmzyhhgwng3-gzip-1.10/bin:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/bin:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/bin:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin:/gnu/store/ahmmvw21p11ik80lg1f953y7fd8bqkjm-diffutils-3.8/bin:/gnu/store/z39hnrwds1dgcbpfgj8dnv2cngjb2xbl-patch-2.7.6/bin:/gnu/store/39rsx3nl4c31952jybbjb8d6idr5hx7r-findutils-4.8.0/bin:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/bin:/gnu/store/wxgv6i8g0p24q5gcyzd0yr07s8kn9680-sed-4.8/bin:/gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/bin:/gnu/store/d251rfgc9nm2clzffzhgiipdvfvzkvwi-coreutils-8.32/bin:/gnu/store/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/bin:/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin:/gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapper-0/bin:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/bin:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/bin:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/bin:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/sbin:/gnu/store/gwrii9zfm1vl70cx3z16i0s5wbvng997-m4-1.4.18/bin'
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/b4mskl4py1zqmxdy1v260r3h6x5p92fm-flex-2.6.4/include:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/include:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/include:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu/store/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngfkk-linux-libre-headers-5.10.35/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/b4mskl4py1zqmxdy1v260r3h6x5p92fm-flex-2.6.4/include:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/include:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/include:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu/store/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/include/c++:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngfkk-linux-libre-headers-5.10.35/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/vdhsdhk6cgsw3vajwfkq6jwr1w2lpbx3-bison-3.7.6/lib:/gnu/store/b4mskl4py1zqmxdy1v260r3h6x5p92fm-flex-2.6.4/lib:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/lib:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/lib:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/lib:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/lib:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/lib:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/lib:/gnu/store/4jdghmc65q7i7ib89zmvq66l0ghf7jc4-glibc-2.33-static/lib:/gnu/store/fnr1z6xsan0437r0yg48d0y8k32kqxby-glibc-utf8-locales-2.33/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/fnr1z6xsan0437r0yg48d0y8k32kqxby-glibc-utf8-locales-2.33/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
pcc-20170109
pcc-20170109/CVS
pcc-20170109/CVS/Root
pcc-20170109/CVS/Repository
pcc-20170109/CVS/Entries
pcc-20170109/DATESTAMP
pcc-20170109/Makefile.in
pcc-20170109/config.guess
pcc-20170109/config.h.in
pcc-20170109/config.sub
pcc-20170109/configure
pcc-20170109/configure.ac
pcc-20170109/install-sh
pcc-20170109/arch
pcc-20170109/arch/CVS
pcc-20170109/arch/CVS/Root
pcc-20170109/arch/CVS/Repository
pcc-20170109/arch/CVS/Entries
pcc-20170109/arch/amd64
pcc-20170109/arch/amd64/CVS
pcc-20170109/arch/amd64/CVS/Root
pcc-20170109/arch/amd64/CVS/Repository
pcc-20170109/arch/amd64/CVS/Entries
pcc-20170109/arch/amd64/code.c
pcc-20170109/arch/amd64/local.c
pcc-20170109/arch/amd64/local2.c
pcc-20170109/arch/amd64/macdefs.h
pcc-20170109/arch/amd64/order.c
pcc-20170109/arch/amd64/table.c
pcc-20170109/arch/arm
pcc-20170109/arch/arm/CVS
pcc-20170109/arch/arm/CVS/Root
pcc-20170109/arch/arm/CVS/Repository
pcc-20170109/arch/arm/CVS/Entries
pcc-20170109/arch/arm/code.c
pcc-20170109/arch/arm/local.c
pcc-20170109/arch/arm/local2.c
pcc-20170109/arch/arm/macdefs.h
pcc-20170109/arch/arm/order.c
pcc-20170109/arch/arm/table.c
pcc-20170109/arch/hppa
pcc-20170109/arch/hppa/CVS
pcc-20170109/arch/hppa/CVS/Root
pcc-20170109/arch/hppa/CVS/Repository
pcc-20170109/arch/hppa/CVS/Entries
pcc-20170109/arch/hppa/code.c
pcc-20170109/arch/hppa/local.c
pcc-20170109/arch/hppa/local2.c
pcc-20170109/arch/hppa/macdefs.h
pcc-20170109/arch/hppa/order.c
pcc-20170109/arch/hppa/table.c
pcc-20170109/arch/i386
pcc-20170109/arch/i386/CVS
pcc-20170109/arch/i386/CVS/Root
pcc-20170109/arch/i386/CVS/Repository
pcc-20170109/arch/i386/CVS/Entries
pcc-20170109/arch/i386/code.c
pcc-20170109/arch/i386/flocal.c
pcc-20170109/arch/i386/local.c
pcc-20170109/arch/i386/local2.c
pcc-20170109/arch/i386/macdefs.h
pcc-20170109/arch/i386/order.c
pcc-20170109/arch/i386/table.c
pcc-20170109/arch/i86
pcc-20170109/arch/i86/CVS
pcc-20170109/arch/i86/CVS/Root
pcc-20170109/arch/i86/CVS/Repository
pcc-20170109/arch/i86/CVS/Entries
pcc-20170109/arch/i86/TODO
pcc-20170109/arch/i86/code.c
pcc-20170109/arch/i86/flocal.c
pcc-20170109/arch/i86/local.c
pcc-20170109/arch/i86/local2.c
pcc-20170109/arch/i86/macdefs.h
pcc-20170109/arch/i86/order.c
pcc-20170109/arch/i86/table.c
pcc-20170109/arch/m16c
pcc-20170109/arch/m16c/CVS
pcc-20170109/arch/m16c/CVS/Root
pcc-20170109/arch/m16c/CVS/Repository
pcc-20170109/arch/m16c/CVS/Entries
pcc-20170109/arch/m16c/TODO
pcc-20170109/arch/m16c/code.c
pcc-20170109/arch/m16c/local.c
pcc-20170109/arch/m16c/local2.c
pcc-20170109/arch/m16c/macdefs.h
pcc-20170109/arch/m16c/order.c
pcc-20170109/arch/m16c/table.c
pcc-20170109/arch/m68k
pcc-20170109/arch/m68k/CVS
pcc-20170109/arch/m68k/CVS/Root
pcc-20170109/arch/m68k/CVS/Repository
pcc-20170109/arch/m68k/CVS/Entries
pcc-20170109/arch/m68k/code.c
pcc-20170109/arch/m68k/local.c
pcc-20170109/arch/m68k/local2.c
pcc-20170109/arch/m68k/macdefs.h
pcc-20170109/arch/m68k/order.c
pcc-20170109/arch/m68k/table.c
pcc-20170109/arch/mips
pcc-20170109/arch/mips/CVS
pcc-20170109/arch/mips/CVS/Root
pcc-20170109/arch/mips/CVS/Repository
pcc-20170109/arch/mips/CVS/Entries
pcc-20170109/arch/mips/TODO
pcc-20170109/arch/mips/code.c
pcc-20170109/arch/mips/local.c
pcc-20170109/arch/mips/local2.c
pcc-20170109/arch/mips/macdefs.h
pcc-20170109/arch/mips/order.c
pcc-20170109/arch/mips/table.c
pcc-20170109/arch/mips64
pcc-20170109/arch/mips64/CVS
pcc-20170109/arch/mips64/CVS/Root
pcc-20170109/arch/mips64/CVS/Repository
pcc-20170109/arch/mips64/CVS/Entries
pcc-20170109/arch/mips64/TODO
pcc-20170109/arch/mips64/code.c
pcc-20170109/arch/mips64/local.c
pcc-20170109/arch/mips64/local2.c
pcc-20170109/arch/mips64/macdefs.h
pcc-20170109/arch/mips64/order.c
pcc-20170109/arch/mips64/table.c
pcc-20170109/arch/nova
pcc-20170109/arch/nova/CVS
pcc-20170109/arch/nova/CVS/Root
pcc-20170109/arch/nova/CVS/Repository
pcc-20170109/arch/nova/CVS/Entries
pcc-20170109/arch/nova/README
pcc-20170109/arch/nova/code.c
pcc-20170109/arch/nova/local.c
pcc-20170109/arch/nova/local2.c
pcc-20170109/arch/nova/macdefs.h
pcc-20170109/arch/nova/order.c
pcc-20170109/arch/nova/table.c
pcc-20170109/arch/pdp10
pcc-20170109/arch/pdp10/CVS
pcc-20170109/arch/pdp10/CVS/Root
pcc-20170109/arch/pdp10/CVS/Repository
pcc-20170109/arch/pdp10/CVS/Entries
pcc-20170109/arch/pdp10/README
pcc-20170109/arch/pdp10/code.c
pcc-20170109/arch/pdp10/local.c
pcc-20170109/arch/pdp10/local2.c
pcc-20170109/arch/pdp10/macdefs.h
pcc-20170109/arch/pdp10/order.c
pcc-20170109/arch/pdp10/table.c
pcc-20170109/arch/pdp11
pcc-20170109/arch/pdp11/CVS
pcc-20170109/arch/pdp11/CVS/Root
pcc-20170109/arch/pdp11/CVS/Repository
pcc-20170109/arch/pdp11/CVS/Entries
pcc-20170109/arch/pdp11/code.c
pcc-20170109/arch/pdp11/local.c
pcc-20170109/arch/pdp11/local2.c
pcc-20170109/arch/pdp11/macdefs.h
pcc-20170109/arch/pdp11/order.c
pcc-20170109/arch/pdp11/table.c
pcc-20170109/arch/powerpc
pcc-20170109/arch/powerpc/CVS
pcc-20170109/arch/powerpc/CVS/Root
pcc-20170109/arch/powerpc/CVS/Repository
pcc-20170109/arch/powerpc/CVS/Entries
pcc-20170109/arch/powerpc/README
pcc-20170109/arch/powerpc/code.c
pcc-20170109/arch/powerpc/local.c
pcc-20170109/arch/powerpc/local2.c
pcc-20170109/arch/powerpc/macdefs.h
pcc-20170109/arch/powerpc/order.c
pcc-20170109/arch/powerpc/table.c
pcc-20170109/arch/sparc64
pcc-20170109/arch/sparc64/CVS
pcc-20170109/arch/sparc64/CVS/Root
pcc-20170109/arch/sparc64/CVS/Repository
pcc-20170109/arch/sparc64/CVS/Entries
pcc-20170109/arch/sparc64/code.c
pcc-20170109/arch/sparc64/local.c
pcc-20170109/arch/sparc64/local2.c
pcc-20170109/arch/sparc64/macdefs.h
pcc-20170109/arch/sparc64/order.c
pcc-20170109/arch/sparc64/table.c
pcc-20170109/arch/superh
pcc-20170109/arch/superh/CVS
pcc-20170109/arch/superh/CVS/Root
pcc-20170109/arch/superh/CVS/Repository
pcc-20170109/arch/superh/CVS/Entries
pcc-20170109/arch/vax
pcc-20170109/arch/vax/CVS
pcc-20170109/arch/vax/CVS/Root
pcc-20170109/arch/vax/CVS/Repository
pcc-20170109/arch/vax/CVS/Entries
pcc-20170109/arch/vax/code.c
pcc-20170109/arch/vax/local.c
pcc-20170109/arch/vax/local2.c
pcc-20170109/arch/vax/macdefs.h
pcc-20170109/arch/vax/order.c
pcc-20170109/arch/vax/table.c
pcc-20170109/cc
pcc-20170109/cc/CVS
pcc-20170109/cc/CVS/Root
pcc-20170109/cc/CVS/Repository
pcc-20170109/cc/CVS/Entries
pcc-20170109/cc/Makefile.in
pcc-20170109/cc/cc
pcc-20170109/cc/cc/CVS
pcc-20170109/cc/cc/CVS/Root
pcc-20170109/cc/cc/CVS/Repository
pcc-20170109/cc/cc/CVS/Entries
pcc-20170109/cc/cc/Makefile.in
pcc-20170109/cc/cc/cc.1
pcc-20170109/cc/cc/cc.c
pcc-20170109/cc/ccom
pcc-20170109/cc/ccom/CVS
pcc-20170109/cc/ccom/CVS/Root
pcc-20170109/cc/ccom/CVS/Repository
pcc-20170109/cc/ccom/CVS/Entries
pcc-20170109/cc/ccom/Makefile.in
pcc-20170109/cc/ccom/builtins.c
pcc-20170109/cc/ccom/ccom.1
pcc-20170109/cc/ccom/cgram.y
pcc-20170109/cc/ccom/dwarf.c
pcc-20170109/cc/ccom/dwarf.h
pcc-20170109/cc/ccom/gcc_compat.c
pcc-20170109/cc/ccom/init.c
pcc-20170109/cc/ccom/inline.c
pcc-20170109/cc/ccom/main.c
pcc-20170109/cc/ccom/optim.c
pcc-20170109/cc/ccom/pass1.h
pcc-20170109/cc/ccom/pftn.c
pcc-20170109/cc/ccom/scan.l
pcc-20170109/cc/ccom/softfloat.c
pcc-20170109/cc/ccom/stabs.c
pcc-20170109/cc/ccom/symtabs.c
pcc-20170109/cc/ccom/trees.c
pcc-20170109/cc/cpp
pcc-20170109/cc/cpp/CVS
pcc-20170109/cc/cpp/CVS/Root
pcc-20170109/cc/cpp/CVS/Repository
pcc-20170109/cc/cpp/CVS/Entries
pcc-20170109/cc/cpp/Makefile.in
pcc-20170109/cc/cpp/cpc.c
pcc-20170109/cc/cpp/cpp.1
pcc-20170109/cc/cpp/cpp.c
pcc-20170109/cc/cpp/cpp.h
pcc-20170109/cc/cpp/cpy.y
pcc-20170109/cc/cpp/token.c
pcc-20170109/cc/cpp/tests
pcc-20170109/cc/cpp/tests/CVS
pcc-20170109/cc/cpp/tests/CVS/Root
pcc-20170109/cc/cpp/tests/CVS/Repository
pcc-20170109/cc/cpp/tests/CVS/Entries
pcc-20170109/cc/cpp/tests/res1
pcc-20170109/cc/cpp/tests/res10
pcc-20170109/cc/cpp/tests/res11
pcc-20170109/cc/cpp/tests/res12
pcc-20170109/cc/cpp/tests/res13
pcc-20170109/cc/cpp/tests/res14
pcc-20170109/cc/cpp/tests/res15
pcc-20170109/cc/cpp/tests/res15C
pcc-20170109/cc/cpp/tests/res16
pcc-20170109/cc/cpp/tests/res16C
pcc-20170109/cc/cpp/tests/res17
pcc-20170109/cc/cpp/tests/res18
pcc-20170109/cc/cpp/tests/res2
pcc-20170109/cc/cpp/tests/res3
pcc-20170109/cc/cpp/tests/res4
pcc-20170109/cc/cpp/tests/res5
pcc-20170109/cc/cpp/tests/res6
pcc-20170109/cc/cpp/tests/res7
pcc-20170109/cc/cpp/tests/res8
pcc-20170109/cc/cpp/tests/res9
pcc-20170109/cc/cpp/tests/test1
pcc-20170109/cc/cpp/tests/test10
pcc-20170109/cc/cpp/tests/test11
pcc-20170109/cc/cpp/tests/test12
pcc-20170109/cc/cpp/tests/test13
pcc-20170109/cc/cpp/tests/test14
pcc-20170109/cc/cpp/tests/test15
pcc-20170109/cc/cpp/tests/test16
pcc-20170109/cc/cpp/tests/test17
pcc-20170109/cc/cpp/tests/test18
pcc-20170109/cc/cpp/tests/test19
pcc-20170109/cc/cpp/tests/test2
pcc-20170109/cc/cpp/tests/test3
pcc-20170109/cc/cpp/tests/test4
pcc-20170109/cc/cpp/tests/test5
pcc-20170109/cc/cpp/tests/test6
pcc-20170109/cc/cpp/tests/test7
pcc-20170109/cc/cpp/tests/test8
pcc-20170109/cc/cpp/tests/test9
pcc-20170109/cc/cxxcom
pcc-20170109/cc/cxxcom/CVS
pcc-20170109/cc/cxxcom/CVS/Root
pcc-20170109/cc/cxxcom/CVS/Repository
pcc-20170109/cc/cxxcom/CVS/Entries
pcc-20170109/cc/cxxcom/Makefile.in
pcc-20170109/cc/cxxcom/builtins.c
pcc-20170109/cc/cxxcom/cgram.y
pcc-20170109/cc/cxxcom/cxxcode.c
pcc-20170109/cc/cxxcom/cxxdefs.h
pcc-20170109/cc/cxxcom/gcc_compat.c
pcc-20170109/cc/cxxcom/init.c
pcc-20170109/cc/cxxcom/inline.c
pcc-20170109/cc/cxxcom/main.c
pcc-20170109/cc/cxxcom/optim.c
pcc-20170109/cc/cxxcom/pass1.h
pcc-20170109/cc/cxxcom/pftn.c
pcc-20170109/cc/cxxcom/scan.l
pcc-20170109/cc/cxxcom/softfloat.c
pcc-20170109/cc/cxxcom/stabs.c
pcc-20170109/cc/cxxcom/symtabs.c
pcc-20170109/cc/cxxcom/trees.c
pcc-20170109/cc/driver
pcc-20170109/cc/driver/CVS
pcc-20170109/cc/driver/CVS/Root
pcc-20170109/cc/driver/CVS/Repository
pcc-20170109/cc/driver/CVS/Entries
pcc-20170109/cc/driver/Makefile.in
pcc-20170109/cc/driver/driver.c
pcc-20170109/cc/driver/driver.h
pcc-20170109/cc/driver/platform.c
pcc-20170109/cc/driver/strlist.c
pcc-20170109/cc/driver/strlist.h
pcc-20170109/cc/driver/xalloc.c
pcc-20170109/cc/driver/xalloc.h
pcc-20170109/common
pcc-20170109/common/CVS
pcc-20170109/common/CVS/Root
pcc-20170109/common/CVS/Repository
pcc-20170109/common/CVS/Entries
pcc-20170109/common/compat.c
pcc-20170109/common/compat.h
pcc-20170109/common/softfloat.h
pcc-20170109/common/unicode.c
pcc-20170109/common/unicode.h
pcc-20170109/doc
pcc-20170109/doc/CVS
pcc-20170109/doc/CVS/Root
pcc-20170109/doc/CVS/Repository
pcc-20170109/doc/CVS/Entries
pcc-20170109/f77
pcc-20170109/f77/CVS
pcc-20170109/f77/CVS/Root
pcc-20170109/f77/CVS/Repository
pcc-20170109/f77/CVS/Entries
pcc-20170109/f77/Makefile.in
pcc-20170109/f77/f77
pcc-20170109/f77/f77/CVS
pcc-20170109/f77/f77/CVS/Root
pcc-20170109/f77/f77/CVS/Repository
pcc-20170109/f77/f77/CVS/Entries
pcc-20170109/f77/f77/Makefile.in
pcc-20170109/f77/f77/f77.1
pcc-20170109/f77/f77/f77.c
pcc-20170109/f77/fcom
pcc-20170109/f77/fcom/CVS
pcc-20170109/f77/fcom/CVS/Root
pcc-20170109/f77/fcom/CVS/Repository
pcc-20170109/f77/fcom/CVS/Entries
pcc-20170109/f77/fcom/Makefile.in
pcc-20170109/f77/fcom/data.c
pcc-20170109/f77/fcom/defines.h
pcc-20170109/f77/fcom/defs.h
pcc-20170109/f77/fcom/equiv.c
pcc-20170109/f77/fcom/error.c
pcc-20170109/f77/fcom/exec.c
pcc-20170109/f77/fcom/expr.c
pcc-20170109/f77/fcom/ftypes.h
pcc-20170109/f77/fcom/gram.dcl
pcc-20170109/f77/fcom/gram.exec
pcc-20170109/f77/fcom/gram.expr
pcc-20170109/f77/fcom/gram.head
pcc-20170109/f77/fcom/gram.io
pcc-20170109/f77/fcom/init.c
pcc-20170109/f77/fcom/intr.c
pcc-20170109/f77/fcom/io.c
pcc-20170109/f77/fcom/lex.c
pcc-20170109/f77/fcom/main.c
pcc-20170109/f77/fcom/misc.c
pcc-20170109/f77/fcom/proc.c
pcc-20170109/f77/fcom/put.c
pcc-20170109/f77/fcom/putscj.c
pcc-20170109/f77/fcom/scjdefs.h
pcc-20170109/f77/fcom/tokens
pcc-20170109/lib
pcc-20170109/lib/CVS
pcc-20170109/lib/CVS/Root
pcc-20170109/lib/CVS/Repository
pcc-20170109/lib/CVS/Entries
pcc-20170109/mip
pcc-20170109/mip/CVS
pcc-20170109/mip/CVS/Root
pcc-20170109/mip/CVS/Repository
pcc-20170109/mip/CVS/Entries
pcc-20170109/mip/common.c
pcc-20170109/mip/manifest.h
pcc-20170109/mip/match.c
pcc-20170109/mip/mkext.c
pcc-20170109/mip/node.h
pcc-20170109/mip/optim2.c
pcc-20170109/mip/pass2.h
pcc-20170109/mip/reader.c
pcc-20170109/mip/regs.c
pcc-20170109/os
pcc-20170109/os/CVS
pcc-20170109/os/CVS/Root
pcc-20170109/os/CVS/Repository
pcc-20170109/os/CVS/Entries
pcc-20170109/os/android
pcc-20170109/os/android/CVS
pcc-20170109/os/android/CVS/Root
pcc-20170109/os/android/CVS/Repository
pcc-20170109/os/android/CVS/Entries
pcc-20170109/os/android/ccconfig.h
pcc-20170109/os/bsd
pcc-20170109/os/bsd/CVS
pcc-20170109/os/bsd/CVS/Root
pcc-20170109/os/bsd/CVS/Repository
pcc-20170109/os/bsd/CVS/Entries
pcc-20170109/os/bsd/ccconfig.h
pcc-20170109/os/darwin
pcc-20170109/os/darwin/CVS
pcc-20170109/os/darwin/CVS/Root
pcc-20170109/os/darwin/CVS/Repository
pcc-20170109/os/darwin/CVS/Entries
pcc-20170109/os/darwin/ccconfig.h
pcc-20170109/os/dragonfly
pcc-20170109/os/dragonfly/CVS
pcc-20170109/os/dragonfly/CVS/Root
pcc-20170109/os/dragonfly/CVS/Repository
pcc-20170109/os/dragonfly/CVS/Entries
pcc-20170109/os/dragonfly/ccconfig.h
pcc-20170109/os/freebsd
pcc-20170109/os/freebsd/CVS
pcc-20170109/os/freebsd/CVS/Root
pcc-20170109/os/freebsd/CVS/Repository
pcc-20170109/os/freebsd/CVS/Entries
pcc-20170109/os/freebsd/ccconfig.h
pcc-20170109/os/inc
pcc-20170109/os/inc/CVS
pcc-20170109/os/inc/CVS/Root
pcc-20170109/os/inc/CVS/Repository
pcc-20170109/os/inc/CVS/Entries
pcc-20170109/os/inc/amd64.h
pcc-20170109/os/linux
pcc-20170109/os/linux/CVS
pcc-20170109/os/linux/CVS/Root
pcc-20170109/os/linux/CVS/Repository
pcc-20170109/os/linux/CVS/Entries
pcc-20170109/os/linux/ccconfig.h
pcc-20170109/os/litebsd
pcc-20170109/os/litebsd/CVS
pcc-20170109/os/litebsd/CVS/Root
pcc-20170109/os/litebsd/CVS/Repository
pcc-20170109/os/litebsd/CVS/Entries
pcc-20170109/os/litebsd/ccconfig.h
pcc-20170109/os/midnightbsd
pcc-20170109/os/midnightbsd/CVS
pcc-20170109/os/midnightbsd/CVS/Root
pcc-20170109/os/midnightbsd/CVS/Repository
pcc-20170109/os/midnightbsd/CVS/Entries
pcc-20170109/os/midnightbsd/ccconfig.h
pcc-20170109/os/minix
pcc-20170109/os/minix/CVS
pcc-20170109/os/minix/CVS/Root
pcc-20170109/os/minix/CVS/Repository
pcc-20170109/os/minix/CVS/Entries
pcc-20170109/os/minix/ccconfig.h
pcc-20170109/os/mirbsd
pcc-20170109/os/mirbsd/CVS
pcc-20170109/os/mirbsd/CVS/Root
pcc-20170109/os/mirbsd/CVS/Repository
pcc-20170109/os/mirbsd/CVS/Entries
pcc-20170109/os/mirbsd/ccconfig.h
pcc-20170109/os/netbsd
pcc-20170109/os/netbsd/CVS
pcc-20170109/os/netbsd/CVS/Root
pcc-20170109/os/netbsd/CVS/Repository
pcc-20170109/os/netbsd/CVS/Entries
pcc-20170109/os/netbsd/ccconfig.h
pcc-20170109/os/nextstep
pcc-20170109/os/nextstep/CVS
pcc-20170109/os/nextstep/CVS/Root
pcc-20170109/os/nextstep/CVS/Repository
pcc-20170109/os/nextstep/CVS/Entries
pcc-20170109/os/nextstep/ccconfig.h
pcc-20170109/os/none
pcc-20170109/os/none/CVS
pcc-20170109/os/none/CVS/Root
pcc-20170109/os/none/CVS/Repository
pcc-20170109/os/none/CVS/Entries
pcc-20170109/os/none/ccconfig.h
pcc-20170109/os/openbsd
pcc-20170109/os/openbsd/CVS
pcc-20170109/os/openbsd/CVS/Root
pcc-20170109/os/openbsd/CVS/Repository
pcc-20170109/os/openbsd/CVS/Entries
pcc-20170109/os/openbsd/ccconfig.h
pcc-20170109/os/openbsd/f77config.h
pcc-20170109/os/sunos
pcc-20170109/os/sunos/CVS
pcc-20170109/os/sunos/CVS/Root
pcc-20170109/os/sunos/CVS/Repository
pcc-20170109/os/sunos/CVS/Entries
pcc-20170109/os/sunos/ccconfig.h
pcc-20170109/os/symbian
pcc-20170109/os/symbian/CVS
pcc-20170109/os/symbian/CVS/Root
pcc-20170109/os/symbian/CVS/Repository
pcc-20170109/os/symbian/CVS/Entries
pcc-20170109/os/sysv4
pcc-20170109/os/sysv4/CVS
pcc-20170109/os/sysv4/CVS/Root
pcc-20170109/os/sysv4/CVS/Repository
pcc-20170109/os/sysv4/CVS/Entries
pcc-20170109/os/sysv4/ccconfig.h
pcc-20170109/os/win32
pcc-20170109/os/win32/CVS
pcc-20170109/os/win32/CVS/Root
pcc-20170109/os/win32/CVS/Repository
pcc-20170109/os/win32/CVS/Entries
pcc-20170109/os/win32/build.bat
pcc-20170109/os/win32/build_installer.bat
pcc-20170109/os/win32/ccconfig.h
pcc-20170109/os/win32/config.h
pcc-20170109/os/win32/pcc.iss
phase `unpack' succeeded after 0.1 seconds
starting phase `bootstrap'
GNU build system bootstrapping not needed
phase `bootstrap' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./config.guess: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./config.sub: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./configure: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./install-sh: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `configure'
source directory: "/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109" (relative from build: ".")
build directory: "/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109"
configure flags: ("CONFIG_SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash" "SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash" "--prefix=/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu")
configure: WARNING: unrecognized options: --enable-fast-install
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc accepts -Wall... yes
checking whether gcc accepts -Wmissing-prototypes... yes
checking whether gcc accepts -Wstrict-prototypes... no
checking whether gcc accepts -Wshadow... yes
checking whether gcc accepts -Wsign-compare... yes
checking whether gcc accepts -Wtruncate... no
checking for a C compiler for mkext... not cross compiling
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/bin/grep
checking for egrep... /gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for C99 printf size specifiers... yes
checking size of int *... 8
checking whether byte ordering is bigendian... no
checking whether make sets $(MAKE)... no
checking for a BSD-compatible install... /gnu/store/d251rfgc9nm2clzffzhgiipdvfvzkvwi-coreutils-8.32/bin/install -c
checking for bison... bison -y
checking for flex... flex
checking lex output file root... lex.yy
checking lex library... -lfl
checking whether yytext is a pointer... yes
checking for string.h... (cached) yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking libgen.h usability... yes
checking libgen.h presence... yes
checking for libgen.h... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for strtold... yes
checking for vsnprintf... yes
checking for snprintf... yes
checking for mkstemp... yes
checking for strlcat... no
checking for strlcpy... no
checking for getopt... yes
checking for ffs... yes
checking for vfork... yes
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating cc/Makefile
config.status: creating cc/cc/Makefile
config.status: creating cc/cpp/Makefile
config.status: creating cc/ccom/Makefile
config.status: creating cc/cxxcom/Makefile
config.status: creating cc/driver/Makefile
config.status: creating f77/Makefile
config.status: creating f77/f77/Makefile
config.status: creating f77/fcom/Makefile
config.status: creating config.h
configure: WARNING: unrecognized options: --enable-fast-install

Target CPU is .................... amd64
Target ABI is .................... elf
Target OS is ..................... linux
Compiler is called ............... pcc
Installing compiler into ......... /gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/bin
Installing pre-processor into .... /gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/libexec
Using assembler .................. <default>
Using linker ..................... <default>
Using Multi-Arch path ............ (no)
Using include path ............... <default>
Using library path ............... <default>
Use libvmf ....................... no
Has TLS support .................. no
Has native floating point ........ yes
Has GCC compatibility ............ yes
Has PCC debugging ................ yes
Type of wchar_t is ............... INT (4 chars)

Configure finished.  Do 'make && make install' to compile and install.

phase `configure' succeeded after 6.5 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
===> cc
make[1]: warning: -j8 forced in submake: resetting jobserver mode.
make[1]: Entering directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc'
===> cc/cc
make[2]: Entering directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/cc'
make[2]: warning: -j8 forced in submake: resetting jobserver mode.
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -DLIBEXECDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/libexec/\" -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -DINCLUDEDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/include/\" -DPCCINCDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/include/\" -DPCCLIBDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/lib/\" -Dos_linux -Dmach_amd64 -DTARGOSVER=0 -DCXXPROGNAME=\"p++\" -DCPPROGNAME=\"pcpp\" -I../../cc/driver -I../.. -I../../os/linux -I../../mip -I../../arch/amd64 -I../../common -c -o cc.o ./cc.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -DLIBEXECDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/libexec/\" -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -DINCLUDEDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/include/\" -DPCCINCDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/include/\" -DPCCLIBDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/lib/\" -Dos_linux -Dmach_amd64 -DTARGOSVER=0 -DCXXPROGNAME=\"p++\" -DCPPROGNAME=\"pcpp\" -I../../cc/driver -I../.. -I../../os/linux -I../../mip -I../../arch/amd64 -I../../common -c -o compat.o ../../common/compat.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -DLIBEXECDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/libexec/\" -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -DINCLUDEDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/include/\" -DPCCINCDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/include/\" -DPCCLIBDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/lib/\" -Dos_linux -Dmach_amd64 -DTARGOSVER=0 -DCXXPROGNAME=\"p++\" -DCPPROGNAME=\"pcpp\" -I../../cc/driver -I../.. -I../../os/linux -I../../mip -I../../arch/amd64 -I../../common -c -o strlist.o ../../cc/driver/strlist.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -DLIBEXECDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/libexec/\" -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -DINCLUDEDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/include/\" -DPCCINCDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/include/\" -DPCCLIBDIR=\"/gnu/store/4awdqc34q8yf9n4lvk9fb7axv78pav2k-pcc-20170109/lib/pcc/x86_64-unknown-linux-gnu/1.2.0.DEVEL/lib/\" -Dos_linux -Dmach_amd64 -DTARGOSVER=0 -DCXXPROGNAME=\"p++\" -DCPPROGNAME=\"pcpp\" -I../../cc/driver -I../.. -I../../os/linux -I../../mip -I../../arch/amd64 -I../../common -c -o xalloc.o ../../cc/driver/xalloc.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./cc.c:83:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdlib.h:25,
                 from ../../cc/driver/strlist.c:32:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/string.h:26,
                 from ../../common/compat.c:61:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdio.h:27,
                 from ../../cc/driver/xalloc.c:32:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  cc.o compat.o strlist.o xalloc.o -o cc 
make[2]: Leaving directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/cc'
<=== cc/cc
===> cc/cpp
make[2]: Entering directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/cpp'
make[2]: warning: -j8 forced in submake: resetting jobserver mode.
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -I. -I../.. -I. -I../../mip -I../../arch/amd64 -I../../common -c -o compat.o ../../common/compat.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -I. -I../.. -I. -I../../mip -I../../arch/amd64 -I../../common -c -o cpp.o ./cpp.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -I. -I../.. -I. -I../../mip -I../../arch/amd64 -I../../common -c -o cpc.o ./cpc.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -I. -I../.. -I. -I../../mip -I../../arch/amd64 -I../../common -c -o token.o ./token.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/string.h:26,
                 from ../../common/compat.c:61:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/stat.h:25,
                 from ./cpp.c:44:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdio.h:27,
                 from ./cpp.h:28,
                 from ./cpc.c:32:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdlib.h:25,
                 from ./token.c:63:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  compat.o cpp.o cpc.o token.o -o cpp 
make[2]: Leaving directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/cpp'
<=== cc/cpp
===> cc/ccom
make[2]: Entering directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom'
make[2]: warning: -j8 forced in submake: resetting jobserver mode.
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -DMKEXT -c -o mkext.lo ../../mip/mkext.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -DMKEXT -c -o common.lo ../../mip/common.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -DMKEXT -c -o table.lo ../../arch/amd64/table.c
bison -y  -d ./cgram.y
flex  ./scan.l
./cgram.y:280.24-31: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  280 | %type <strp>	string C_STRING GCC_DESIG svstr
      |                        ^~~~~~~~
./cgram.y:280.33-41: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  280 | %type <strp>	string C_STRING GCC_DESIG svstr
      |                                 ^~~~~~~~~
./cgram.y:284.17-24: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  284 | %type <intval>  C_STRUCT C_RELOP C_DIVOP C_SHIFTOP
      |                 ^~~~~~~~
./cgram.y:284.26-32: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  284 | %type <intval>  C_STRUCT C_RELOP C_DIVOP C_SHIFTOP
      |                          ^~~~~~~
./cgram.y:284.34-40: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  284 | %type <intval>  C_STRUCT C_RELOP C_DIVOP C_SHIFTOP
      |                                  ^~~~~~~
./cgram.y:284.42-50: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  284 | %type <intval>  C_STRUCT C_RELOP C_DIVOP C_SHIFTOP
      |                                          ^~~~~~~~~
./cgram.y:285.17-24: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                 ^~~~~~~~
./cgram.y:285.26-31: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                          ^~~~~~
./cgram.y:285.33-39: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                                 ^~~~~~~
./cgram.y:285.41-47: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                                         ^~~~~~~
./cgram.y:285.49-54: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                                                 ^~~~~~
./cgram.y:285.56-61: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                                                        ^~~~~~
./cgram.y:285.63-69: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  285 | 		C_ANDAND C_OROR C_STROP C_INCOP C_UNOP C_ASOP C_EQUOP
      |                                                               ^~~~~~~
./cgram.y:287.17-22: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  287 | %type <type>	C_TYPE C_QUALIFIER C_CLASS C_FUNSPEC
      |                 ^~~~~~
./cgram.y:287.24-34: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  287 | %type <type>	C_TYPE C_QUALIFIER C_CLASS C_FUNSPEC
      |                        ^~~~~~~~~~~
./cgram.y:287.36-42: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  287 | %type <type>	C_TYPE C_QUALIFIER C_CLASS C_FUNSPEC
      |                                    ^~~~~~~
./cgram.y:287.44-52: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  287 | %type <type>	C_TYPE C_QUALIFIER C_CLASS C_FUNSPEC
      |                                            ^~~~~~~~~
./cgram.y:289.17-22: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  289 | %type <nodep>   C_ICON
      |                 ^~~~~~
./cgram.y:291.17-22: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  291 | %type <flt>	C_FCON 
      |                 ^~~~~~
./cgram.y:293.17-22: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  293 | %type <strp>	C_NAME C_TYPENAME
      |                 ^~~~~~
./cgram.y:293.24-33: warning: POSIX yacc reserves %type to nonterminals [-Wyacc]
  293 | %type <strp>	C_NAME C_TYPENAME
      |                        ^~~~~~~~~~
mv -f lex.yy.c scan.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../arch/amd64/table.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../mip/mkext.c:6:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdlib.h:25,
                 from ../../mip/common.c:63:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
./cgram.y: warning: 6 shift/reduce conflicts [-Wconflicts-sr]
./cgram.y: note: rerun with option '-Wcounterexamples' to generate conflict counterexamples
gcc  mkext.lo common.lo table.lo -o mkext 
./mkext
mv -f y.tab.c cgram.c
mv -f y.tab.h cgram.h
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o builtins.o ./builtins.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o cgram.o cgram.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o code.o ../../arch/amd64/code.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o common.o ../../mip/common.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o compat.o ../../common/compat.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o dwarf.o ./dwarf.c
gcc -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o external.o external.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o gcc_compat.o ./gcc_compat.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./builtins.c:27:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from pass1.h:38,
                 from ./cgram.y:152:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ../../arch/amd64/code.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/string.h:26,
                 from ../../common/compat.c:61:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from external.c:1:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdlib.h:25,
                 from ../../mip/common.c:63:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./gcc_compat.c:34:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./dwarf.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o init.o ./init.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./init.c:64:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o inline.o ./inline.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o local.o ../../arch/amd64/local.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./inline.c:28:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ../../arch/amd64/local.c:29:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o local2.o ../../arch/amd64/local2.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../arch/amd64/local2.c:30:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
../../arch/amd64/local2.c: In function ‘adjustname’:
../../arch/amd64/local2.c:773:20: warning: comparison of integer expressions of different signedness: ‘int’ and ‘size_t’ {aka ‘long unsigned int’} [-Wsign-compare]
  773 |  for (i = j = 0; i < len; i++) {
      |                    ^
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o main.o ./main.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/unistd.h:25,
                 from ./main.c:32:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o match.o ../../mip/match.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../mip/match.c:63:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o optim.o ./optim.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./optim.c:36:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o optim2.o ../../mip/optim2.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../mip/optim2.c:29:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o order.o ../../arch/amd64/order.c
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o pftn.o ./pftn.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../arch/amd64/order.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o reader.o ../../mip/reader.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./pftn.c:66:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../mip/reader.c:66:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o regs.o ../../mip/regs.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../mip/regs.c:29:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o scan.o scan.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdio.h:27,
                 from lex.yy.c:18:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o stabs.o ./stabs.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./stabs.c:37:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o symtabs.o ./symtabs.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./symtabs.c:30:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o table.o ../../arch/amd64/table.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ../../mip/pass2.h:35,
                 from ../../arch/amd64/table.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o trees.o ./trees.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/sys/types.h:25,
                 from ./pass1.h:38,
                 from ./trees.c:69:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  -g -O2  -Wall -Wmissing-prototypes -Wshadow -Wsign-compare -D_BSD_SOURCE -DGCC_COMPAT -DPCC_DEBUG -DNATIVE_FLOATING_POINT -D_ISOC99_SOURCE -Dos_linux -Dmach_amd64 -I. -I. -I../.. -I../../mip -I../../arch/amd64 -I../../os/linux -I../../common -c -o unicode.o ../../common/unicode.c
In file included from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/bits/libc-header-start.h:33,
                 from /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/stdio.h:27,
                 from ../../common/unicode.c:31:
/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/include/features.h:187:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
  187 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
gcc  builtins.o cgram.o code.o common.o compat.o dwarf.o external.o gcc_compat.o init.o inline.o local.o local2.o main.o match.o optim.o optim2.o order.o pftn.o reader.o regs.o scan.o stabs.o symtabs.o table.o trees.o unicode.o -o ccom 
ld: cgram.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: code.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: dwarf.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: gcc_compat.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: init.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: inline.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: local.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: main.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: optim.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: pftn.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: scan.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./scan.l:204: multiple definition of `lineno'; common.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/../../mip/common.c:76: first defined here
ld: scan.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: stabs.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: symtabs.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: trees.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
ld: unicode.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: multiple definition of `flt_zero'; builtins.o:/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom/./pass1.h:459: first defined here
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:200: ccom] Error 1
make[2]: Leaving directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc/ccom'
make[1]: *** [Makefile:12: all] Error 2
make[1]: Leaving directory '/tmp/guix-build-pcc-20170109.drv-0/pcc-20170109/cc'
make: *** [Makefile:12: all] Error 2
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-j" "8") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 6.4 seconds
command "make" "-j" "8" failed with status 2
```

I found that the pass1.h file defined flt_zero without extern,

```c
FLT flt_zero; 
```

so every time it's included, the symbol is redefined! Obviously the linker
doesn't like that. (I do wonder how that ever worked at all :)) After fixing
it up and using `--with-source=file://...`:

```
ld: scan.o:/tmp/guix-build-pcc-20170109.drv-0/source/cc/ccom/./scan.l:204: multiple definition of `lineno'; common.o:/tmp/guix-build-pcc-20170109.drv-0/source/cc/ccom/../../mip/common.c:76: first defined here
```

It defines `lineno` in the C lexer, the C++ lexer, and the mip/common.c file, so I
removed the definitions from the former two.

```
successfully built /gnu/store/av3jw1c5g7yazlr7jqba4ildfcfq2msb-pcc-20170109.drv
```

woot :)

So, I'll send these changes as a patch soon(tm).

    -- (